import { decodeEntities } from "@wordpress/html-entities";
import { __ } from "@wordpress/i18n";
import { registerPaymentMethod } from "@woocommerce/blocks-registry";
import { getSibsqPblServerData } from "./sibs-utils";

const Content = () => {
	return decodeEntities(getSibsqPblServerData()?.description || "");
};

const Label = () => {
	var icon = React.createElement("img", {
		src: getSibsqPblServerData()?.logo_url,
		style: {
			display: "inline",
		},
	});
	var span = React.createElement(
		"span",
		{
			className:
				"wc-block-components-payment-method-label wc-block-components-payment-method-label--with-icon",
		},
		icon,
		decodeEntities(getSibsqPblServerData()?.title) || "SIBS",
	);
	return span;
};

registerPaymentMethod({
	name: "sibs_stg_pbl",
	label: <Label />,
	ariaLabel: __("Sibs payment method", "sibs-woo-stg"),
	canMakePayment: () => true,
	content: <Content />,
	edit: <Content />,
	supports: {
		features: getSibsqPblServerData()?.supports ?? [],
	},
});
