<?php

use Sibs2\sibsConstants;
use Sibs2\sibsPaymentGateway;

defined('ABSPATH') || exit;

class Gateway_Sibs_STG_Pbl extends sibsPaymentGateway
{
    /**
     * @var string
     */
    public $id    = sibsConstants::SIBS_PAYMENT_METHOD_ORDER_PAY_BY_LINK;

    /**
     * @var string
     */
    public $title = 'Pay By Link';

    /**
     * Constructor.
     */
    public function __construct()
    {
        parent::__construct();
        $this->title = __('Pay By Link', sibsConstants::SIBS_TRANSLATE);
    }

    /**
     * SIBS Get Payment Logo.
     *
     * @return string
     */
    public function sibs_get_payment_logo()
    {
        return "{$this->plugins_url}/assets/pbl.svg";
    }

    /**
     * Needs Setup.
     *
     * @return bool
     */
    public function needs_setup()
    {
        return false;
    }
}

$obj = new Gateway_Sibs_STG_Pbl();
