<?php

use Sibs2\sibsConstants;
use Sibs2\sibsPaymentGateway;

defined('ABSPATH') || exit;

class Gateway_Sibs_STG_Xpay extends sibsPaymentGateway
{
    /**
     * @var string
     */
    public $id    = sibsConstants::SIBS_PAYMENT_METHOD_ORDER_XPAY;

    /**
     * @var string
     */
    public $title = 'XPAY';

    /**
     * Constructor.
     */
    public function __construct()
    {
        parent::__construct();
        $this->title = __('Google Pay / Apple Pay', sibsConstants::SIBS_TRANSLATE);
    }

    /**
     * Get Icon.
     *
     * @return mixed
     */
    public function get_icon()
    {
        return apply_filters('woocommerce_gateway_icon', $this->sibs_get_multi_icon(), $this->id);
    }

    /**
     * SIBS Get Payment Logo.
     *
     * @return string
     */
    public function sibs_get_payment_logo()
    {
        return "{$this->plugins_url}/assets/images/gpay.png";
    }

    /**
     * Needs Setup.
     *
     * @return bool
     */
    public function needs_setup()
    {
        return false;
    }
}

$obj = new Gateway_Sibs_STG_Xpay();
